/*
 * @(#) TraceTm.java 
 *
 * JOTM: Java Open Transaction Manager 
 *
 * This project is developed inside the ObjectWeb Consortium,
 * http://www.objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: TraceTm.java,v 1.12 2003/03/24 13:13:34 jmesnil Exp $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jotm;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.commons.logging.impl.NoOpLog;

/**
 * * JOTM log system uses Log4J and Commons Logging.
 * 
 * @author jmesnil
 * 
 */
public class TraceTm {

    /** JOTM_LOG_PREFIX used to identify JOTM loggers */
    public static final String JOTM_LOG_PREFIX = "org.objectweb.jotm";

	/**
	 * logger for general JOTM operations 
	 */
	public static Log jotm = new NoOpLog();
    
    /**
     * logger for JTA operations
     */
    public static Log jta = new NoOpLog();
	
	/**
	 * logger for recovery and log related operations
	 */
	public static Log recovery = new NoOpLog();

    /**
    * Configure the log for JOTM.
    * Log configuration is stored in a property file, <code>commons-logging.properties</code>,
    * which should be available from the classpath.
    */
    public static void configure() {
        jotm = LogFactory.getLog(JOTM_LOG_PREFIX);
        jta = LogFactory.getLog(JOTM_LOG_PREFIX + ".jta");
       	recovery = LogFactory.getLog(JOTM_LOG_PREFIX +".recovery");
    }
}