package org.objectweb.transaction.jta;

import javax.transaction.UserTransaction;

/**
 * A <code>TMService</code> represents a JTA Service and is used to acces JTA
 * main interfaces (<code>UserTransaction</code> and
 * <code>TransactionManager</code>).SW
 * 
 * @author jmesnil
 */
public interface TMService {
	
    /**
     * returns a <code>TransactionManager</code> object.
     * 
     * @return TransactionManager
     */
    public TransactionManager getTransactionManager();
    
    /**
     * Returns an <code>UserTransaction</code> object.
     * 
     * @return UserTransaction 
     */
    public UserTransaction getUserTransaction();
    
    /**
     * Stops the transaction service.
     */
    public void stop();
}